
QGIS Application - Bug report #638

EVIL SHAPE file kills QGIS + Xserver

2007-03-05 02:39 PM - anonymous -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10697

Description

This SHAPE file was generated in GRASS 6.3 and exported

with v.out.ogr:

http://mpa.itc.it/markus/tmp/oceans_ll.tgz  (3891020 bytes)

It kills the entire Xserver when opening it in QGIS.

If possible, please take a look.

thanks,

Markus

History

#1 - 2007-03-05 03:00 PM - Magnus Homann

Works for me in both 0.8 and trunk, bad display however and very slow rendering. Compiling with debug I am.

http://img239.imageshack.us/img239/1356/worksno9.png

Have libgdal 1.4.0 and no OTF.

#2 - 2007-03-05 03:14 PM - neteler-itc-it -

I am using

- GDAL SVN HEAD from 03 March 2007

- QGIS SVN HEAD from 03 March 2007

- qt4-4.2.1-1mdv2007.1

- geos 2.2.3

- proj 4.5-CVS

Markus
#3 - 2007-03-05 03:15 PM - anonymous -

from #gdal:

<FrankW> It appears that the WKT representation of feature 1645 is roughly 10MB - so very very large.

<FrankW> If QGIS is trying to tesselate the feature it is likely effectively hung on it.

#4 - 2007-03-05 10:53 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Not much QGIS can do then to try drawing the feature. I suggest downgrading to gdal 1.4.0 and see what happens. For me it takes a minutes to open the

layer, I guess it depends on the machine you have.

I'm closing this issue please re-open if it doesn't work with gdal 1.4.0.
